# StDOMNode< T > Class Template Reference

List of all members.

## Public Member Functions

| StDOMNode (T *node=(T *) 0)
| StDOMNode (const StDOMNode &stNode)
| ~StDOMNode ()
T * | operator= (T *node)
bool | operator!= (T *node) const
bool | operator== (T *node) const
T & | operator* ()
const T & | operator* () const
T * | operator-> () const
| operator T * () const
void | ClearNode ()

### template<class T>
class StDOMNode< T >

## Constructor & Destructor Documentation

template<class T>

StDOMNode< T >::StDOMNode | ( | T * | node = `(T*)0` | ) |

template<class T>

StDOMNode< T >::StDOMNode | ( | const StDOMNode< T > & | stNode | ) |

template<class T>

StDOMNode< T >::~StDOMNode | ( |  | ) |

## Member Function Documentation

template<class T>

T* StDOMNode< T >::operator= | ( | T * | node | ) |

Referenced by StDOMNode< T >::ClearNode().

template<class T>

bool StDOMNode< T >::operator!= | ( | T * | node | ) | const

template<class T>

bool StDOMNode< T >::operator== | ( | T * | node | ) | const

template<class T>

T& StDOMNode< T >::operator* | ( |  | ) |

template<class T>

const T& StDOMNode< T >::operator* | ( |  | ) | const

template<class T>

T* StDOMNode< T >::operator-> | ( |  | ) | const

template<class T>

StDOMNode< T >::operator T * | ( |  | ) | const

template<class T>

void StDOMNode< T >::ClearNode | ( |  | ) |

References StDOMNode< T >::operator=().

The documentation for this class was generated from the following file:

- StDOMNode.hpp